## python-boto 2.10.0

=== requirements.txt ===
mock==1.0.1
nose==1.2.1
# If you upgrade to ``requests>=1.2.1``, please update
# ``boto/cloudsearch/document.py``.
requests>=1.1.0
rsa==3.1.1
tox==1.4
Sphinx==1.1.3
simplejson==2.5.2
argparse==1.2.1
unittest2==0.5.1
httpretty==0.5.5

## python-boto 0.9d-1maemo2

=== debian/changelog ===
python-boto (0.9d-1maemo2) fremantle; urgency=low

  * Fix install troubles in 1maemo1.

 -- Kenneth Loafman <kenneth@loafman.com>  Tue, 28 Apr 2009 09:10:36 -0500

python-boto (0.9d-1) unstable; urgency=low

  * New upstream release.

 -- Eric Evans <eevans@debian.org>  Sat, 24 Nov 2007 17:12:40 -0600

python-boto (0.9b-1) unstable; urgency=low

  * New upstream release.
  * Move tests to /usr/share/doc/python-boto/examples, (Closes: #433373).

 -- Eric Evans <eevans@debian.org>  Mon, 16 Jul 2007 17:17:48 -0500

python-boto (0.9a-1) unstable; urgency=low

  * Initial release. (Closes: #431626)

 -- Eric Evans <eevans@debian.org>  Wed, 04 Jul 2007 17:23:42 -0500

=== debian/control ===
Source: python-boto
Section: user/utilities
Priority: optional
Maintainer: Kenneth Loafman <kenneth@loafman.com>
Build-Depends: debhelper (>= 5), python2.5, python2.5-setuptools
Standards-Version: 3.7.2

Package: python-boto
Architecture: all
Depends: python2.5, python2.5-dev, python2.5-distutils
Provides: python-boto
Description: Python interface to Amazon's Web Services
 Boto is a Python interface to the infrastructure services available from
 Amazon. It includes support for S3 (Simple Storage Service), SQS (Simple
 Queue Service), and EC2 (Elastic Compute Cloud).

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
export DH_VERBOSE=1

PYTHON := python2.5

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp install-stamp
	rm -rf build

	dh_clean

build: build-stamp
build-stamp:
	dh_testdir

	$(PYTHON) setup.py build

	touch build-stamp

install: build-stamp
	dh_testdir
	dh_installdirs

	$(PYTHON) setup.py install --root $(CURDIR)/debian/python-boto \
		--install-scripts usr/share/doc/python-boto/examples/

	for f in `find $(CURDIR)/debian/python-boto -name test_\*.py`; do \
	    sed -e '\,^#!/usr/bin/env python,d' < $$f > $$f.tmp; \
	    mv $$f.tmp $$f; \
	done

	touch install-stamp


binary-arch:
binary-indep: install
	dh_installdocs README doc/*.txt
	dh_installexamples cq.py tests
	dh_installchangelogs
	dh_compress
	dh_fixperms
#	dh_pysupport
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary

=== debian/watch ===
version=3
http://code.google.com/p/boto/ \
  http://boto.googlecode.com/files/boto-(.+).tar.gz

## python-boto 2.2.2

=== debian/changelog ===
python-boto (2.2.2-0ubuntu2) precise; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * debian/patches/import-boto-provider.patch: New patch that resolves issue
    of boto/utils.py making calls to function boto.provider, without importing
    it.  LP: #947424 

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Mon, 05 Mar 2012 20:51:38 +0000

python-boto (2.2.2-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #932795)
  * update debian/watch to point to github downloads instead of google code

 -- Scott Moser <smoser@ubuntu.com>  Wed, 15 Feb 2012 10:17:06 -0500

python-boto (2.2.1-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Scott Moser <smoser@ubuntu.com>  Sun, 12 Feb 2012 20:13:08 -0500

python-boto (2.1.1-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Remaining changes from debian:
    - debian/watch: fix for mangled versions (#650480)
  * Dropped delta (included upstream):
    - boto/auth.py: use email.utils.formatdate(usegmt=True) instead of strftime
      as the latter breaks when boto is used from application setting up
      locales (like bpython or ipython); upstream issue #140.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 07 Dec 2011 08:25:40 -0500

python-boto (2.0-2ubuntu1) precise; urgency=low

  * Sync with debian.
  * Remaining changes from debian:
    - debian/watch: fix for mangled versions (#650480)
  * Changes from upstream:
    - boto/auth.py: use email.utils.formatdate(usegmt=True) instead of strftime
      as the latter breaks when boto is used from application setting up
      locales (like bpython or ipython); upstream issue #140.
  * Dropped delta:
    - debian/rules: Run testsuite during build but ignore failures 
      since it currently doesn't pass.
    - debian/rules, debian/control: Transition from pysupport to dh_python2
      (LP: #788514)
    - debian/rules:
      + README removed (no longer in source tarball)
      + doc install of cq.py removed (it is now installed to /usr/bin)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 29 Nov 2011 21:55:58 -0500

python-boto (2.0-2) unstable; urgency=low

  * Promote new upstream to unstable (Closes: #638931).

 -- Eric Evans <eevans@debian.org>  Sun, 13 Nov 2011 11:58:40 -0800

python-boto (2.0-1) experimental; urgency=low

  * New upstream release.

 -- Eric Evans <eevans@debian.org>  Sun, 16 Oct 2011 17:22:44 -0500

python-boto (2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * Remaining changes from debian:
    - debian/rules: Run testsuite during build but ignore failures 
      since it currently doesn't pass.
    - debian/rules, debian/control: Transition from pysupport to dh_python2
      (LP: #788514)
    - debian/rules:
      + README removed (no longer in source tarball)
      + doc install of cq.py removed (it is now installed to /usr/bin)
  * Changes from upstream:
    - boto/auth.py: use email.utils.formatdate(usegmt=True) instead of strftime
      as the latter breaks when boto is used from application setting up
      locales (like bpython or ipython); upstream issue #140.
  * Dropped delta from upstream:
    - boto/ec2/snapshot.py: work around non-int data in volumeSize
      returned from Eucalyptus. LP: #520707. [fix is upstream]
    - boto/connection.py: Handle 2.7 the same way as 2.6 for httplib
      compatibility. LP: #688773. [fix is upstream]

 -- Scott Moser <smoser@ubuntu.com>  Thu, 14 Jul 2011 16:11:57 -0400

python-boto (1.9b-6) unstable; urgency=low

  * Convert packaging to dh_python2 (Closes: #631430).

 -- Eric Evans <eevans@debian.org>  Sat, 30 Jul 2011 19:43:19 +0200

python-boto (1.9b-5) unstable; urgency=low

  * Updated to Debian Policy version 3.9.2.
  * Patched to include Python 2.7 in httplib work-around for https
    signatures.  Thanks Matthias Klose.  (Closes: #607120)

 -- Eric Evans <eevans@debian.org>  Sun, 03 Jul 2011 16:04:44 -0500

python-boto (1.9b-4ubuntu2) oneiric; urgency=low

  * debian/rules, debian/control: Transition from pysupport to dh_python2
    (LP: #788514)

 -- Evan Broder <evan@ebroder.net>  Thu, 23 Jun 2011 11:59:24 -0700

python-boto (1.9b-4ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #788651).  Remaining changes:
    - debian/rules: Run testsuite during build but ignore failures 
      since it currently doesn't pass.
    - boto/ec2/snapshot.py: work around non-int data in volumeSize
      returned from Eucalyptus. LP: #520707.
    - boto/connection.py: Handle 2.7 the same way as 2.6 for httplib
      compatibility. LP: #688773.
    - boto/cloudfront/__init__.py, boto/connection.py: use
      email.utils.formatdate(usegmt=True) instead of strftime as the latter
      breaks when boto is used from application setting up locales (like
      bpython or ipython); upstream issue #140.
  * boto.egg-info/SOURCES.txt: add last EOL, as it is now in debian

 -- Scott Moser <smoser@ubuntu.com>  Thu, 26 May 2011 11:35:47 -0400

python-boto (1.9b-4) unstable; urgency=low

  * Do not require Name param on RegisterImage (Closes: #591466).

 -- Eric Evans <eevans@debian.org>  Tue, 03 Aug 2010 11:41:59 -0400

python-boto (1.9b-3) unstable; urgency=low

  * Strings exceptions are not allowed in Python 2.6 (Closes: #585284).

 -- Eric Evans <eevans@debian.org>  Wed, 07 Jul 2010 19:36:13 +0000

python-boto (1.9b-2) unstable; urgency=low

  * Depend on versions of Python >= 2.5 (Closes: #563439).

 -- Eric Evans <eevans@debian.org>  Wed, 06 Jan 2010 12:20:56 -0600

python-boto (1.9b-1ubuntu5) natty; urgency=low

  * boto/cloudfront/__init__.py, boto/connection.py: use
    email.utils.formatdate(usegmt=True) instead of strftime as the latter
    breaks when boto is used from application setting up locales (like bpython
    or ipython); upstream issue #140.
  * boto.egg-info/SOURCES.txt: remove last EOL again to have less diff with
    upstream.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 04 Mar 2011 22:16:36 +0100

python-boto (1.9b-1ubuntu4) natty; urgency=low



=== debian/control ===
Source: python-boto
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Eric Evans <eevans@debian.org>
Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3)
X-Python-Version: >= 2.5
Homepage: http://code.google.com/p/boto/
XS-Debian-Vcs-Git: git://git.debian.org/git/users/eevans/python-boto
XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/eevans/python-boto.git
Standards-Version: 3.9.2

Package: python-boto
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python interface to Amazon's Web Services
 Boto is a Python interface to the infrastructure services available from
 Amazon.
 .
 Boto supports the following services:
  * Elastic Compute Cloud (EC2)
  * SimpleDB
  * Simple Storage Service (S3)
  * CloudFront
  * Simple Queue Service (SQS)
  * Elastic MapReduce
  * Relational Database Service (RDS)

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

clean:
	dh_testdir
	dh_testroot
	
	rm -f build-stamp install-stamp
	rm -rf build
	find boto/ -name *.pyc | xargs rm -f
	
	dh_clean

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	python setup.py build

	touch build-stamp

install: build-stamp
	dh_testdir
	dh_installdirs

	python setup.py install --root $(CURDIR)/debian/python-boto \
		--install-scripts usr/share/doc/python-boto/examples/ \
	        --install-layout=deb

	for f in `find $(CURDIR)/debian/python-boto -name \*.py`; do \
	    sed -e '\,^#!/usr/bin/env python,d' < $$f > $$f.tmp; \
	    mv $$f.tmp $$f; \
	done

	touch install-stamp

binary-arch:
binary-indep: install
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_python2
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary

=== debian/watch ===
version=3
opts="uversionmangle=s/(([ab]|rc)[0-9])$/~\1/" \
https://github.com/boto/boto/downloads \
/downloads/boto/boto/boto-(.*).tar.gz

## python-boto 2.20.1

=== requirements.txt ===
mock==1.0.1
nose==1.2.1
requests>=1.2.3,<=2.0.1
rsa==3.1.1
tox==1.4
Sphinx==1.1.3
simplejson==2.5.2
argparse==1.2.1
unittest2==0.5.1
httpretty>=0.7.0
paramiko>=1.10.0
PyYAML>=3.10

## python-boto 2.34.0

=== requirements.txt ===
nose==1.3.3
requests>=1.2.3,<=2.0.1
rsa==3.1.4
simplejson==3.5.2
argparse==1.2.1
httpretty>=0.7.0
paramiko>=1.10.0
PyYAML>=3.10
coverage==3.7.1
mock==1.0.1

## python-boto 2.49.0

=== requirements.txt ===
nose==1.3.3
requests>=1.2.3,<=2.0.1
rsa==3.1.4
simplejson==3.6.5
argparse==1.2.1
httpretty>=0.7.0,<=0.8.6
paramiko>=1.10.0
PyYAML>=3.10
coverage==3.7.1
mock==1.0.1

=== debian/changelog ===
python-boto (2.49.0-4) unstable; urgency=medium

  * Add patch to fix importing from collections (Closes: #1001395).

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Dec 2021 16:45:16 +0100

python-boto (2.49.0-3) unstable; urgency=medium

  [ Noah Meyerhans ]
  * Update Maintainer to the Debian cloud team
  * Convert to 3.0 (quilt) source package format
  * Fix python syntax warning in upstream code
  * Fix python 3.8 compatibility issue (Closes: #953970)
  * Fix the use of a deprecated variable in debian/tests/unit
  * Fix lintian warning runtime-test-file-uses-installed-python-versions

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 May 2020 12:11:41 +0200

python-boto (2.49.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Removed Python 2 support (Closes: #937617).

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Dec 2019 21:28:06 +0100

python-boto (2.49.0-2) unstable; urgency=medium

  * Re-enable boto.vendored package (for regions sub-pacakge).

 -- Eric Evans <eevans@debian.org>  Tue, 23 Jul 2019 09:30:32 -0500

python-boto (2.49.0-1) unstable; urgency=medium

  * New upstream release.

 -- Eric Evans <eevans@debian.org>  Mon, 22 Jul 2019 14:56:38 -0500

python-boto (2.44.0-1) unstable; urgency=medium

  * New upstream release.

 -- Eric Evans <eevans@debian.org>  Sat, 10 Dec 2016 14:31:42 -0600

python-boto (2.43.0-1) unstable; urgency=medium

  * New upstream release.

 -- Eric Evans <eevans@debian.org>  Tue, 08 Nov 2016 21:17:35 -0600

python-boto (2.40.0-1) unstable; urgency=medium

  * New upstream release.

 -- Eric Evans <eevans@debian.org>  Sun, 22 May 2016 14:22:08 -0500

python-boto (2.38.0-1) unstable; urgency=medium

  * New upstream release.

 -- Eric Evans <eevans@debian.org>  Sun, 14 Jun 2015 09:43:42 -0500

python-boto (2.34.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Eric Evans <eevans@debian.org>  Wed, 12 Nov 2014 11:39:34 -0600

python-boto (2.34.0-1) experimental; urgency=medium

  * New upstream release.

 -- Eric Evans <eevans@debian.org>  Mon, 10 Nov 2014 20:39:11 -0600

python-boto (2.33.0-1) unstable; urgency=medium

  * New upstream release.

 -- Eric Evans <eevans@debian.org>  Sun, 19 Oct 2014 15:56:15 -0500

python-boto (2.32.1-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Uploading new upstream release to Experimental (Closes: #760490).
  * Added Python 3 support.
  * Vcs-Git field now canonical.
  * Now using source format 3.0 (quilt).
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" in debian/source/options.
  * debian/copyright using the parseable format 1.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2014 08:21:48 +0000

python-boto (2.29.1-1) unstable; urgency=medium

  * New upstream release (Closes: #750571).

 -- Eric Evans <eevans@debian.org>  Sat, 28 Jun 2014 18:13:59 -0500

python-boto (2.27.0-1) unstable; urgency=medium

  * Missing dependency on python-requests (Closes: #740170)
  * Run autopkgtests against installed python-boto package.

 -- Eric Evans <eevans@debian.org>  Sun, 30 Mar 2014 12:36:49 -0500

python-boto (2.25.0-1) unstable; urgency=medium

  * New upstream release.

 -- Eric Evans <eevans@debian.org>  Fri, 07 Feb 2014 20:32:57 -0600

python-boto (2.20.1-2) experimental; urgency=low

  * Run unit tests with autopkgtest.

 -- Eric Evans <eevans@debian.org>  Fri, 27 Dec 2013 15:09:08 -0600

python-boto (2.20.1-1) experimental; urgency=low

  * New upstream release (Closes: #732176).

 -- Eric Evans <eevans@debian.org>  Mon, 16 Dec 2013 10:00:57 -0600

python-boto (2.10.0-1) unstable; urgency=low

  * New upstream release.

 -- Eric Evans <eevans@debian.org>  Tue, 13 Aug 2013 13:56:47 +0200

python-boto (2.9.6-1) unstable; urgency=low

  * New upstream release.

 -- Eric Evans <eevans@debian.org>  Fri, 05 Jul 2013 17:45:01 -0500

python-boto (2.9.2-1) unstable; urgency=low

  * New upstream release (Closes: #700743).

 -- Eric Evans <eevans@debian.org>  Fri, 10 May 2013 23:38:14 -0500

python-boto (2.8.0-1) experimental; urgency=low

  * Experimental upload of new upstream release.

 -- Eric Evans <eevans@debian.org>  Sat, 06 Apr 2013 10:12:23 -0500

python-boto (2.3.0-1) unstable; urgency=low

  * New upstream release (Closes: #664478)
  * Update debian/watch for Boto's move to Github.  Thanks Scott
    Moser. (Closes: #650480)

 -- Eric Evans <eevans@debian.org>  Sun, 15 Apr 2012 20:21:21 -0500

=== debian/control ===
Source: python-boto
Section: python
Priority: optional
Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Noah Meyerhans <noahm@debian.org>
Build-Depends: debhelper-compat (= 12),
               python3-all (>= 3.2),
               python3-setuptools,
               python3-six,
               dh-python
XS-Testsuite: autopkgtest
Homepage: https://github.com/boto/boto
Vcs-Browser: https://salsa.debian.org/cloud-team/python-boto
Vcs-Git: https://salsa.debian.org/cloud-team/python-boto.git
Standards-Version: 4.4.0

Package: python3-boto
Architecture: all
Depends: python3-requests, ${misc:Depends}, ${python3:Depends}, python3-six
Provides: ${python3:Provides}
Description: Python interface to Amazon's Web Services - Python 3.x
 Boto is a Python interface to the infrastructure services available from
 Amazon.
 .
 Boto supports the following services:
  * Elastic Compute Cloud (EC2)
  * Elastic MapReduce
  * CloudFront
  * DynamoDB
  * SimpleDB
  * Relational Database Service (RDS)
  * Identity and Access Management (IAM)
  * Simple Queue Service (SQS)
  * CloudWatch
  * Route53
  * Elastic Load Balancing (ELB)
  * Flexible Payment Service (FPS)
  * Simple Storage Service (S3)
  * Glacier
  * Elastic Block Store (EBS)
  * and many more...
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3S:=$(shell py3versions -vr)

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp install-stamp
	rm -rf build
	find tests/ boto/ -name *.pyc | xargs rm -f

	dh_clean

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	python3 setup.py build

	touch build-stamp

install: build-stamp
	dh_testdir
	dh_installdirs

# Python 3.x
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --root $(CURDIR)/debian/python3-boto \
			--install-scripts usr/share/doc/python3-boto/examples/ \
	        	--install-layout=deb ; \
	done

	touch install-stamp

binary-arch:
binary-indep: install
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_python3
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary
